/*
 File: lint_balls.cpp
 Date and Time: Fri Jan 30 18:55:15 2015 
*/
#include "lint_balls.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_lint_balls;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Clint_balls::
  Clint_balls()
    :yacco2::CAbs_fsm
      ("lint_balls.lex"
      ,"1.0"
      ,"22 mar 2004"
      ,false
      ,"Is this spring cleaning?"
      ,"Fri Jan 30 18:55:15 2015 "
      ,S1_Clint_balls){
    
  }
 
Clint_balls::~Clint_balls(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Clint_balls::failed(){
      return false;
  }
  void Clint_balls::op(){
}
int Clint_balls::rhs_to_rules_mapping_[9] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,2 // subrule 3 for rule 3
 ,2 // subrule 4 for rule 3
 ,3 // subrule 5 for rule 4
 ,3 // subrule 6 for rule 4
 ,3 // subrule 7 for rule 4
 ,3 // subrule 8 for rule 4
}; 
Rlint_balls::Rlint_balls(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlint_balls",0,Clint_balls::R_Rlint_balls_,P,false,false){
}

void Rlint_balls::sr1(){
  
        CAbs_lr1_sym* sym = NS_yacco2_terminals::PTR_lint__;
        sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
        RSVP(sym);
  
}

Rlint::Rlint(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlint",0,Clint_balls::R_Rlint_,P,false,false){
}

Rfluffs::Rfluffs(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rfluffs",0,Clint_balls::R_Rfluffs_,P,false,false){
}

Rfluff::Rfluff(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rfluff",0,Clint_balls::R_Rfluff_,P,false,false){
}

void Rfluff::sr2(){
  struct SF{
   LR1_parallel_operator* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
   T_comment* p2__;
   State* s2__;
   bool abort2__;
   Rule_s_reuse_entry* rule_s_reuse_entry2__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(2);
  
        sf->p2__->set_auto_delete(true);
      
}

void Rfluff::sr3(){
  struct SF{
   LR1_parallel_operator* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
   CAbs_lr1_sym* p2__;
   State* s2__;
   bool abort2__;
   Rule_s_reuse_entry* rule_s_reuse_entry2__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(2);
  
        RSVP(sf->p2__);
        rule_info__.parser__->set_stop_parse(true);
      
}

